tests/test-add
changeset 5688 883d887c6408
parent 5207 212de429e000
child 6888 7c36a4fb05a3
--- a/tests/test-add	Mon Dec 24 01:50:07 2007 +0100
+++ b/tests/test-add	Mon Dec 24 12:14:43 2007 +0100
@@ -11,7 +11,7 @@
 echo b > b
 hg add -n b
 hg st
-hg add b
+hg add b || echo "failed to add b"
 hg st
 echo % should fail
 hg add b
@@ -40,3 +40,9 @@
 echo a > a
 hg add a
 hg st
+
+hg add c && echo "unexpected addition of missing file"
+echo c > c
+hg add d c && echo "unexpected addition of missing file"
+hg st
+